Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par.F90	(revision 2071)
@@ -25,9 +25,5 @@
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
-#if ! defined key_agrif
-   LOGICAL, PUBLIC, PARAMETER ::   lk_obc = .TRUE.     !: Ocean Boundary Condition flag
-#else
-   LOGICAL, PUBLIC            ::   lk_obc = .TRUE.     !: Ocean Boundary Condition flag
-#endif
+   LOGICAL, PUBLIC, PARAMETER ::   lk_obc = .TRUE.   !: Ocean Boundary Condition flag
 
 # if defined key_eel_r5
@@ -52,9 +48,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_east = .FALSE.     !: to active or not the East open boundary
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
+   INTEGER, PARAMETER ::     &  !:
       jpieob  = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
       jpjed   =        2,    &  !: j-starting indice of the East open boundary (must be land T-point)
@@ -66,9 +58,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_west = .FALSE.     !: to active or not the West open boundary
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
+   INTEGER, PARAMETER ::     &  !:
       jpiwob  =	       2,    &  !: i-localization of the West open boundary (must be ocean U-point)
       jpjwd   =	       2,    &  !: j-starting indice of the West open boundary (must be land T-point)
@@ -80,9 +68,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_north = .FALSE.    !: to active or not the North open boundary
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
+   INTEGER, PARAMETER ::     &  !:
       jpjnob  = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
       jpind   =        2,    &  !: i-starting indice of the North open boundary (must be land T-point)
@@ -94,9 +78,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_south = .FALSE.    !: to active or not the South open boundary
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
+   INTEGER, PARAMETER ::     &  !:
       jpjsob  =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
       jpisd   =        2,    &  !: i-starting indice of the South open boundary (must be land T-point)
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_EEL_R5.h90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_EEL_R5.h90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_EEL_R5.h90	(revision 2071)
@@ -15,10 +15,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_east = .TRUE.      !: to active or not the East open boundary
-
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   &
-#endif
-    ::     &
+   INTEGER, PARAMETER ::     &  !:
       jpieob  = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
       jpjed   =        2,    &  !: j-starting indice of the East open boundary (must be land T-point)
@@ -30,10 +25,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_west = .TRUE.      !: to active or not the West open boundary
-
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   &
-#endif
-    ::     &
+   INTEGER, PARAMETER ::     &
       jpiwob  =	       2,    &  !: i-localization of the West open boundary (must be ocean U-point)
       jpjwd   =	       2,    &  !: j-starting indice of the West open boundary (must be land T-point)
@@ -45,10 +35,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_north = .FALSE.    !: to active or not the North open boundary
-
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   &
-#endif
-    ::     &
+   INTEGER, PARAMETER ::     &  !:
       jpjnob  = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
       jpind   =        2,    &  !: i-starting indice of the North open boundary (must be land T-point)
@@ -60,10 +45,5 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_south = .FALSE.    !: to active or not the South open boundary
-
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   &
-#endif
-    ::     &
+   INTEGER, PARAMETER ::     &  !:
       jpjsob  =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
       jpisd   =        2,    &  !: i-starting indice of the South open boundary (must be land T-point)
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90	(revision 2071)
@@ -4,23 +4,21 @@
    !! open boundary parameter : POMME configuration
    !!---------------------------------------------------------------------
-   INTEGER, PARAMETER ::  jptobc  =	      14   
-   !: time dimension of the BCS fields on input
+     INTEGER, PARAMETER ::     &  !: time dimension of the BCS fields on input
+      jptobc  =	      14
 
    !! * EAST open boundary
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_east = .TRUE.      !:
+   INTEGER, PARAMETER ::     &  !:
 
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
       ! * default values *
       !jpieob = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
       !jpjed  =        2,    &  !: j-starting indice of the East open boundary (must be land T-point)
       !jpjef  = jpjglo-1,    &  !: j-ending   indice of the East open boundary (must be land T-point)
+
       jpieob = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
       jpjed  =        1,    &  !: j-starting indice of the East open boundary (must be land T-point)
       jpjef  =   jpjglo,    &  !: j-ending   indice of the East open boundary (must be land T-point)
+
       jpjedp1 =  jpjed+1,    &  !: first ocean point         "                 "
       jpjefm1 =  jpjef-1        !: last  ocean point         "                 "
@@ -29,17 +27,15 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_west = .TRUE.     !: to active or not the West open boundary
+   INTEGER, PARAMETER ::     &  !:
 
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
       ! * default values *
       !jpiwob  =        2,   &  !: i-localization of the West open boundary (must be ocean U-point)
       !jpjwd   =        2,   &  !: j-starting indice of the West open boundary (must be land T-point)
       !jpjwf   = jpjglo-1,   &  !: j-ending   indice of the West open boundary (must be land T-point)
+
       jpiwob  =        2,   &  !: i-localization of the West open boundary (must be ocean U-point)
       jpjwd   =        1,   &  !: j-starting indice of the West open boundary (must be land T-point)
       jpjwf   =   jpjglo,   &  !: j-ending   indice of the West open boundary (must be land T-point)
+
       jpjwdp1 =  jpjwd+1,    &  !: first ocean point         "                 "
       jpjwfm1 =  jpjwf-1        !: last  ocean point         "                 "
@@ -48,17 +44,15 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_north = .TRUE.     !:
+   INTEGER, PARAMETER ::     &  !:
 
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
       ! * default values *
       !jpjnob = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
       !jpind  =        2,    &  !: i-starting indice of the North open boundary (must be land T-point)
       !jpinf  = jpiglo-1,    &  !: i-ending   indice of the North open boundary (must be land T-point)
+
       jpjnob = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
       jpind  =        1,    &  !: i-starting indice of the North open boundary (must be land T-point)
       jpinf  =   jpiglo,    &  !: i-ending   indice of the North open boundary (must be land T-point)
+
       jpindp1 =  jpind+1,    &  !: first ocean point         "                 "
       jpinfm1 =  jpinf-1        !: last  ocean point         "                 "
@@ -67,17 +61,15 @@
    LOGICAL, PARAMETER ::     &  !:
       lp_obc_south = .TRUE.     !: INDICE to active or not the South open boundary
+   INTEGER, PARAMETER ::     &  !:
 
-     INTEGER   &
-#if !defined key_agrif
-     , PARAMETER   & 
-#endif
-    ::     & 
       ! * default values *
       !jpjsob =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
       !jpisd  =        2,    &  !: i-starting indice of the South open boundary (must be land T-point)
       !jpisf  = jpiglo-1,    &  !: i-ending   indice of the South open boundary (must be land T-point)
+
       jpjsob =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
       jpisd  =        1,    &  !: i-starting indice of the South open boundary (must be land T-point)
       jpisf  =   jpiglo,    &  !: i-ending   indice of the South open boundary (must be land T-point)
+
       jpisdp1 =  jpisd+1,    &  !: first ocean point         "                 "
       jpisfm1 =  jpisf-1        !: last  ocean point         "                 "
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obcdta.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2071)
@@ -30,8 +30,6 @@
 
   !! * Shared module variables
-!$AGRIF_DO_NOT_TREAT
   REAL(wp),  DIMENSION(2)              ::  zjcnes_obc   ! 
   REAL(wp),  DIMENSION(:), ALLOCATABLE :: ztcobc
-!$AGRIF_END_DO_NOT_TREAT
   REAL(wp) :: rdt_obc
   REAL(wp) :: zjcnes
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obcfla.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obcfla.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obcfla.F90	(revision 2071)
@@ -78,12 +78,14 @@
       !!------------------------------------------------------------------------------
       !! * Local declaration
-      INTEGER ::   ji, jj ! dummy loop indices
+      INTEGER ::   ji, jj, jk ! dummy loop indices
       !!------------------------------------------------------------------------------
 
       DO ji = nie0, nie1
-         DO jj = 1, jpj
-            ua_e(ji,jj) = (  ubtfoe(jj) * hur(ji,jj) + sqrt( grav*hur(ji,jj) )   &
-               &            * ( ( sshn_e(ji,jj) + sshn_e(ji+1,jj) ) * 0.5        &
-               &            - sshfoe(jj) )  ) * uemsk(jj,1)
+         DO jk = 1, jpkm1
+            DO jj = 1, jpj
+               ua_e(ji,jj) = (  ubtfoe(jj) + sqrt( grav*hu(ji,jj) )           &
+                  &            * ( ( sshn_e(ji,jj) + sshn_e(ji+1,jj) ) * 0.5  &
+                  &            - sshfoe(jj) )  ) * uemsk(jj,jk)
+            END DO
          END DO
       END DO
@@ -95,5 +97,5 @@
             ssha_e(ji,jj) = ssha_e(ji,jj) * ( 1. - temsk(jj,1) ) &
                &            + temsk(jj,1) * sshfoe(jj)
-            va_e(ji,jj) = vbtfoe(jj) * hvr(ji,jj) * uemsk(jj,1)
+            va_e(ji,jj) = vbtfoe(jj) * uemsk(jj,jk)
          END DO
       END DO
@@ -114,13 +116,15 @@
       !!------------------------------------------------------------------------------
       !! * Local declaration
-      INTEGER ::   ji, jj ! dummy loop indices
+      INTEGER ::   ji, jj, jk ! dummy loop indices
       !!------------------------------------------------------------------------------
 
       DO ji = niw0, niw1
-         DO jj = 1, jpj
-            ua_e(ji,jj) = ( ubtfow(jj) * hur(ji,jj) - sqrt( grav * hur(ji,jj) )   &
-               &            * ( ( sshn_e(ji,jj) + sshn_e(ji+1,jj) ) * 0.5         &
-               &                - sshfow(jj) ) ) * uwmsk(jj,1)
-            va_e(ji,jj) = vbtfow(jj) * hvr(ji,jj) * uwmsk(jj,1)
+         DO jk = 1, jpkm1
+            DO jj = 1, jpj
+               ua_e(ji,jj) = ( ubtfow(jj) - sqrt( grav * hu(ji,jj) )          &
+                  &            * ( ( sshn_e(ji,jj) + sshn_e(ji+1,jj) ) * 0.5  &
+                  &                - sshfow(jj) ) ) * uwmsk(jj,jk)
+               va_e(ji,jj) = vbtfow(jj) * uwmsk(jj,jk)
+            END DO
          END DO
          DO jj = 1, jpj
@@ -147,12 +151,14 @@
       !!------------------------------------------------------------------------------
       !! * Local declaration
-      INTEGER ::   ji, jj ! dummy loop indices
+      INTEGER ::   ji, jj, jk ! dummy loop indices
       !!------------------------------------------------------------------------------
 
       DO jj = njn0, njn1
-         DO ji = 1, jpi
-            va_e(ji,jj) = ( vbtfon(ji) * hvr(ji,jj) + sqrt( grav * hvr(ji,jj) )   &
-               &            * ( ( sshn_e(ji,jj) + sshn_e(ji,jj+1) ) * 0.5         &
-               &                - sshfon(ji) ) ) * vnmsk(ji,1)
+         DO jk = 1, jpkm1
+            DO ji = 1, jpi
+               va_e(ji,jj) = ( vbtfon(ji) + sqrt( grav * hv(ji,jj) )           &
+                  &            * ( ( sshn_e(ji,jj) + sshn_e(ji,jj+1) ) * 0.5   &
+                  &                - sshfon(ji) ) ) * vnmsk(ji,jk)
+            END DO
          END DO
       END DO
@@ -164,5 +170,5 @@
             ssha_e(ji,jj) = ssha_e(ji,jj) * ( 1. - tnmsk(ji,1) ) &
                &            + sshfon(ji) * tnmsk(ji,1)
-            ua_e(ji,jj) = ubtfon(ji) * hur(ji,jj) * vnmsk(ji,1)
+            ua_e(ji,jj) = ubtfon(ji) * vnmsk(ji,jk)
          END DO
       END DO
@@ -182,14 +188,16 @@
       !!------------------------------------------------------------------------------
       !! * Local declaration
-      INTEGER ::   ji, jj ! dummy loop indices
+      INTEGER ::   ji, jj, jk ! dummy loop indices
 
       !!------------------------------------------------------------------------------
 
       DO jj = njs0, njs1
-         DO ji = 1, jpi
-            va_e(ji,jj) = ( vbtfos(ji) * hvr(ji,jj) - sqrt( grav * hvr(ji,jj) )   &
-               &            * ( ( sshn_e(ji,jj) + sshn_e(ji,jj+1) ) * 0.5         &
-               &                - sshfos(ji) ) ) * vsmsk(ji,1)
-            ua_e(ji,jj) = ubtfos(ji) * hur(ji,jj) * vsmsk(ji,1)
+         DO jk = 1, jpkm1
+            DO ji = 1, jpi
+               va_e(ji,jj) = ( vbtfos(ji) - sqrt( grav * hv(ji,jj) )            &
+                  &            * ( ( sshn_e(ji,jj) + sshn_e(ji,jj+1) ) * 0.5    &
+                  &                - sshfos(ji) ) ) * vsmsk(ji,jk)
+               ua_e(ji,jj) = ubtfos(ji) * vsmsk(ji,jk)
+            END DO
          END DO
          DO ji = 1, jpi
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2071)
@@ -62,5 +62,5 @@
       NAMELIST/namobc/ rn_dpein, rn_dpwin, rn_dpnin, rn_dpsin,       &
          &             rn_dpeob, rn_dpwob, rn_dpnob, rn_dpsob,       &
-         &             rn_volemp, nn_obcdta, cn_obcdta,    &
+         &             rn_volemp, nn_obcdta, cn_obcdta, rn_volemp,   &
          &             ln_obc_clim, ln_vol_cst, ln_obc_fla
       !!----------------------------------------------------------------------
@@ -70,4 +70,5 @@
 
       ! convert DOCTOR namelist name into the OLD names
+      nbobc    = nn_nbobc
       nobc_dta = nn_obcdta
       cffile   = cn_obcdta
@@ -100,5 +101,5 @@
       IF(lwp) WRITE(numout,*) 'obc_init : initialization of open boundaries'
       IF(lwp) WRITE(numout,*) '~~~~~~~~'
-      IF(lwp) WRITE(numout,*) '   Number of open boundaries    nbobc = ', nbobc
+      IF(lwp) WRITE(numout,*) '   Number of open boundaries    nn_nbobc = ', nn_nbobc
       IF(lwp) WRITE(numout,*)
 
@@ -149,5 +150,5 @@
       ENDIF
 
-      IF( nbobc >= 2 .AND. jperio /= 0 )   &
+      IF( nbobc /= 0 .AND. jperio /= 0 )   &
          &   CALL ctl_stop( ' Cyclic or symmetric, and open boundary condition are not compatible' )
 
@@ -305,5 +306,4 @@
       IF( lp_obc_east ) THEN
          !... (jpjed,jpjefm1),jpieob
-         bmask(nie0p1:nie1p1,nje0:nje1m1) = 0.e0
 
          ! ... initilization to zero
@@ -341,5 +341,4 @@
       IF( lp_obc_north ) THEN
          ! ... jpjnob,(jpind,jpisfm1)
-         bmask(nin0:nin1m1,njn0p1:njn1p1) = 0.e0
 
          ! ... initilization to zero
@@ -441,4 +440,5 @@
             END DO
          END IF
+  
          IF( lp_obc_north ) THEN ! ... North open boundary lateral surface
             DO jj = njn0, njn1
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obcrst.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2071)
@@ -96,5 +96,5 @@
          ! -------------
 
-         CALL ctl_opn( inum, 'restart.obc.output', 'UNKNOWN', 'UNFORMATTED', 'DIRECT', nreclo, numout, lwp )
+         CALL ctl_opn( inum, 'restart.obc.output', 'REPLACE', 'UNFORMATTED', 'DIRECT', nreclo, numout, lwp )
  
          ! 1.2 Write header
@@ -322,5 +322,5 @@
       ! 0.1 Open files
       ! ---------------
-      CALL ctl_opn( inum, 'restart.obc', 'UNKNOWN', 'UNFORMATTED', 'DIRECT', nreclo, numout, lwp )
+      CALL ctl_opn( inum, 'restart.obc', 'REPLACE', 'UNFORMATTED', 'DIRECT', nreclo, numout, lwp )
 
       ! 1. Read
Index: branches/devmercator2010/NEMO/OPA_SRC/OBC/obctra.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/OBC/obctra.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/OBC/obctra.F90	(revision 2071)
@@ -490,7 +490,6 @@
                   zin = sign( 1., -1.* z05cx )
                   zin = 0.5*( zin + abs(zin) )
-                  ztau = (1.-zin ) * rtausin + zin * rtaus
+                  ztau = (1.-zin ) + zin * rtaus
                   z05cx = z05cx * zin
-
          !... update (ta,sa) with radiative or climatological (t, s)
                   ta(ji,jj,jk) = ta(ji,jj,jk) * (1.-tsmsk(ji,jk)) +             &
